Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2045245 - cave9: FTBFS in Fedora rawhide/f36
Summary: cave9: FTBFS in Fedora rawhide/f36
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cave9
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Victor Bogado
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS F36FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-01-25 16:13 UTC by Fedora Release Engineering
Modified: 2023-04-29 02:52 UTC (History)
1 user (show)

Fixed In Version: cave9-0.4.1-2.20230211git0.4.1.fc39 cave9-0.4.1-2.20230211git0.4.1.fc38
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-02-21 15:43:40 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2022-01-25 16:13 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2022-01-25 16:13 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2022-01-25 16:13 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-01-25 16:13:52 UTC
cave9 failed to build from source in Fedora rawhide/f36

https://koji.fedoraproject.org/koji/taskinfo?taskID=81770132


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild
Please fix cave9 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
cave9 will be orphaned. Before branching of Fedora 37,
cave9 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-01-25 16:13:55 UTC
Created attachment 1853773 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2022-01-25 16:13:58 UTC
Created attachment 1853774 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-01-25 16:13:59 UTC
Created attachment 1853775 [details]
state.log

Comment 4 Ben Cotton 2022-02-08 21:02:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 36 development cycle.
Changing version to 36.

Comment 5 Fedora Update System 2023-02-21 11:32:54 UTC
FEDORA-2023-fab6cdf5d2 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-fab6cdf5d2

Comment 6 Fedora Update System 2023-02-21 11:49:51 UTC
FEDORA-2023-84baeed3e3 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-84baeed3e3

Comment 7 Fedora Update System 2023-02-21 15:43:40 UTC
FEDORA-2023-fab6cdf5d2 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2023-04-21 03:20:24 UTC
FEDORA-2023-84baeed3e3 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-84baeed3e3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-84baeed3e3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-04-29 02:52:20 UTC
FEDORA-2023-84baeed3e3 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.